Bug 701604 - [abrt] evolution-3.0.1-1.fc15: magazine_chain_pop_head: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
Summary: [abrt] evolution-3.0.1-1.fc15: magazine_chain_pop_head: Process /usr/bin/evol...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7adfd265ae56226ddbca7f785fa...
Depends On:
Blocks: 714938
TreeView+ depends on / blocked
 
Reported: 2011-05-03 10:48 UTC by Iulian Litcanu
Modified: 2012-08-07 19:57 UTC (History)
25 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 19:57:36 UTC


Attachments (Terms of Use)
File: maps (78.19 KB, text/plain)
2011-05-03 10:48 UTC, Iulian Litcanu
no flags Details
File: build_ids (8.09 KB, text/plain)
2011-05-03 10:48 UTC, Iulian Litcanu
no flags Details
File: dsos (59.99 KB, text/plain)
2011-05-03 10:48 UTC, Iulian Litcanu
no flags Details
File: backtrace (90.29 KB, text/plain)
2011-05-03 10:48 UTC, Iulian Litcanu
no flags Details
Backtrace (99.65 KB, text/plain)
2011-06-03 15:06 UTC, Braden McDaniel
no flags Details
Another backtrace (77.36 KB, text/plain)
2011-07-17 20:49 UTC, Nicolas Mailhot
no flags Details
Valgrind run, showing some memory problems (117.57 KB, text/plain)
2011-12-22 14:22 UTC, John Mellor
no flags Details
valgrind log with debug symbols, no crash (112.74 KB, text/plain)
2011-12-23 16:28 UTC, John Mellor
no flags Details
File: backtrace (64.33 KB, text/plain)
2012-01-13 02:23 UTC, John Mellor
no flags Details
File: backtrace (60.59 KB, text/plain)
2012-01-15 11:12 UTC, thomas.wuercher
no flags Details
File: backtrace (92.79 KB, text/plain)
2012-01-16 16:01 UTC, Clément DAVID
no flags Details
File: backtrace (65.25 KB, text/plain)
2012-01-16 16:55 UTC, thomas.wuercher
no flags Details
File: backtrace (71.27 KB, text/plain)
2012-01-19 19:16 UTC, Emmanuel Pacaud
no flags Details
File: backtrace (66.80 KB, text/plain)
2012-01-23 05:27 UTC, Kevin
no flags Details
File: backtrace (63.66 KB, text/plain)
2012-02-20 02:12 UTC, cnangel
no flags Details
File: backtrace (94.11 KB, text/plain)
2012-02-22 09:16 UTC, Ondrej Hujnak
no flags Details
File: backtrace (129.51 KB, text/plain)
2012-04-12 15:02 UTC, Juris Krumins
no flags Details

Description Iulian Litcanu 2011-05-03 10:48:06 UTC
abrt version: 2.0.1
executable: /usr/bin/evolution
cmdline: evolution
component: evolution
crash_function: magazine_chain_pop_head
kernel: 2.6.38.4-20.fc15.x86_64
reason: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
package: evolution-3.0.1-1.fc15
architecture: x86_64
username: litcanu
uid: 500
os_release: Fedora release 15 (Lovelock)
time: 1304418930
rating: 4

Text file: maps, 80067 bytes
Text file: build_ids, 8282 bytes
Binary file: coredump, 127524864 bytes
Text file: dsos, 61429 bytes
Text file: backtrace, 92461 bytes

event_log
-----
2011-05-03-13:47:34> (exited with 0)
2011-05-03-13:47:34> Analyzing coredump '/home/litcanu/.abrt/spool/ccpp-2011-05-03-13:35:30-1634/coredump'
2011-05-03-13:47:35  All 202 debuginfo files are available
2011-05-03-13:47:36> (exited with 0)
2011-05-03-13:47:37> Analyzing coredump '/home/litcanu/.abrt/spool/ccpp-2011-05-03-13:35:30-1634/coredump'
2011-05-03-13:47:37  All 202 debuginfo files are available
2011-05-03-13:47:45> Backtrace is generated and saved, 92461 bytes
2011-05-03-13:47:45> Backtrace is generated and saved, 92461 bytes
2011-05-03-13:47:45> (exited with 0)
2011-05-03-13:47:45> Lock file './.lock' is locked by process 8177

environ
-----
XDG_SESSION_ID=1
HOSTNAME=litcanu-acasa
IMSETTINGS_INTEGRATE_DESKTOP=yes
SHELL=/bin/bash
TERM=dumb
HISTSIZE=1000
XDG_SESSION_COOKIE=fc068490473c9c2a05c489fc0000000a-1304405807.496321-1970636444
IMSETTINGS_MODULE=none
USER=litcanu
USERNAME=litcanu
MAIL=/var/spool/mail/litcanu
PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/litcanu/bin
DESKTOP_SESSION=gnome
QT_IM_MODULE=xim
PWD=/home/litcanu
XMODIFIERS=@im=none
LANG=en_US.utf8
GDM_LANG=en_US.utf8
GDMSESSION=gnome
HISTCONTROL=ignoredups
HOME=/home/litcanu
SHLVL=1
LOGNAME=litcanu
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-qfrdp16Nh6,guid=030362a23d906d516285610e0000001c
'LESSOPEN=||/usr/bin/lesspipe.sh %s'
WINDOWPATH=1
XDG_RUNTIME_DIR=/run/user/litcanu
DISPLAY=:0
GTK_IM_MODULE=gtk-im-context-simple
G_BROKEN_FILENAMES=1
XAUTHORITY=/var/run/gdm/auth-for-litcanu-EJ0fmD/database
_=/usr/bin/gnome-session
GNOME_DESKTOP_SESSION_ID=this-is-deprecated
SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1312,unix/unix:/tmp/.ICE-unix/1312
ORBIT_SOCKETDIR=/tmp/orbit-litcanu
GNOME_KEYRING_CONTROL=/tmp/keyring-AboXgX
SSH_AUTH_SOCK=/tmp/keyring-AboXgX/ssh
GPG_AGENT_INFO=/tmp/keyring-AboXgX/gpg:0:1
GJS_DEBUG_OUTPUT=stderr
'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
DESKTOP_STARTUP_ID=gnome-shell-1500-litcanu-acasa-evolution-0_TIME59406
GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/evolution.desktop
GIO_LAUNCHED_DESKTOP_FILE_PID=1634

Comment 1 Iulian Litcanu 2011-05-03 10:48:10 UTC
Created attachment 496482 [details]
File: maps

Comment 2 Iulian Litcanu 2011-05-03 10:48:12 UTC
Created attachment 496483 [details]
File: build_ids

Comment 3 Iulian Litcanu 2011-05-03 10:48:15 UTC
Created attachment 496484 [details]
File: dsos

Comment 4 Iulian Litcanu 2011-05-03 10:48:18 UTC
Created attachment 496485 [details]
File: backtrace

Comment 5 Milan Crha 2011-05-04 06:22:01 UTC
Thanks for a bug report. This can be related to an upstream bug [1], but as there is some issue in the backtrace itself, then let's start with obvious things.

I would like to ask pango team for their opinion on this.

> #4  0x000000313d82bfef in run_length_encode_types_utf8
> (panded_strongs=read_sleb128: Corrupted DWARF expression.
> ) at fribidi.c:121
> #5  fribidi_analyse_string_utf8 (pmax_level=read_sleb128: Corrupted DWARF
> expression. ) at fribidi.c:493

[1] https://bugzilla.gnome.org/show_bug.cgi?id=625139

Comment 6 Behdad Esfahbod 2011-05-04 18:04:14 UTC
No comment.

Comment 7 Milan Crha 2011-05-05 05:40:03 UTC
(In reply to comment #6)
> No comment.

Hmm, I'm not sure what to think about that. Anyway...

Iulian, do you see this crash often, please? If so, could you try to reproduce this under valgrind, to check whether it'll show any memory issues being related to this crash, please? You can install valgrind and run evolution under it like this:
   $ G_SLICE=always-malloc valgrind --num-callers=50 evolution &>log.txt
and then possibly try to reproduce the issue. Valgrind can sometimes avoid the crash itself, while writing memory issues it spot during the run, thus please attach the resulting log.txt file here, and I can examine it. Thanks in advance.

Comment 8 Iulian Litcanu 2011-05-05 08:46:02 UTC
No sorry, just once. Can't reproduce it unfortunately ...

Comment 9 Milan Crha 2011-05-05 12:12:09 UTC
Thanks for the update, Pity you cannot reproduce this. I'm closing this, but please feel free to reopen if you find a way to investigate this further, maybe with a valgrind log as suggested in comment #7.

Comment 10 Braden McDaniel 2011-06-03 15:02:19 UTC
Reopening.

Since installing Fedora 15/Evolution 3.0, I've hit at least three crashes that abrt has identified as a duplicate of this bug.

When it happens seems to be arbitrary; that is, I haven't identified anything specific that I can do to reproduce it. But in light of the frequency with which it's occurring, I think it warrants further attention.

Comment 11 Braden McDaniel 2011-06-03 15:06:37 UTC
Created attachment 502831 [details]
Backtrace

Comment 12 James W. Melody 2011-06-05 11:26:31 UTC
Package: evolution-3.0.2-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
I have no idea - evolution is crashing all of the time now: three times in the past minute.  I was merely downloading and browsing through email.  I think the operation I performed just prior to the crash was to click on a mail folder to change the mail list display to that folder.

I've been an evoltuion user for well over a decade.  Evolution 3 sucks for me.  I can't get any work done.

Comment 13 James W. Melody 2011-06-05 19:31:25 UTC
Package: evolution-3.0.2-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Clicked Send/Receive

Comment 14 Milan Crha 2011-06-06 06:05:01 UTC
Could you try with evolution-3.0.2-2 from updates testing, please? I introduced a very bad bug in 3.0.2-1, which is fixed in 3.0.2-2.

Comment 15 Matthew Saltzman 2011-06-12 20:42:19 UTC
Package: evolution-3.0.2-2.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Crash occurred while marking RSS feeds as read using CTRL-A CTRL-K.  Also, Exchange (OWA), IMAP, and POP accounts were in the process of synchronizing.

Comment 16 Arnulfo Jose Suarez Gaekel 2011-06-14 19:42:37 UTC
Package: evolution-3.0.2-2.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Uso el plugin de RSS del repositorio de Fedora

Marco error con el RSS de Smashing Magazine Feed, al momento de querer leer los feeds para ver si veia algo raro fue cuando marco el error

Comment 17 deadlycelt 2011-06-16 12:19:28 UTC
Package: evolution-3.0.2-2.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Unexpected crash, not sure how to reproduce

Comment 18 Ondra Pelech 2011-06-21 13:12:57 UTC
Package: evolution-3.0.2-2.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
select a blogpost from rss feed

Comment 19 Milan Crha 2011-06-22 06:03:58 UTC
OK, so 3.0.2-2 exhibits the issue too. Does the common part of the crasher involve evolution-rss for all reporters? I see that it does for most of you. Valgrind may help us to see what happens to the memory. If anyone of you can try similar steps on your machine, when having run evolution like shown below, then it'll be great. Before running it, please make sure you've installed correct debug info packages (same version as binary packages) for gtkhtml3,  evolution-data-server, evolution and evolution-rss, then run evolution like this:
   $ G_SLICE=always-malloc valgrind --num-callers=50 evolution &>log.txt
and then repeat steps you did previously. Valgrind can avoid certain types of crashes, thus it's possible it will not crash, but it may report a memory issue into the resulting log.txt file. Please attach the file here, for an examination. Thanks in advance.

Comment 20 Ondra Pelech 2011-06-24 22:44:04 UTC
Package: evolution-3.0.2-2.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
out of nowhere

Comment 21 Anthony Mounsey 2011-07-04 23:47:18 UTC
Package: evolution-3.0.2-2.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
RSS Reader function crashed immediately after selecting an RSS entry to view.

Comment 22 Nicolas Mailhot 2011-07-17 20:45:12 UTC
Package: evolution-3.1.2-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Rawhide)

Comment
-----
Skimming some mails, deleting them after reading, switching imapd dirs

Comment 23 Nicolas Mailhot 2011-07-17 20:48:19 UTC
Package: evolution-3.1.2-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Rawhide)

Comment
-----
Skimming some mails, deleting them after reading, switching imapd dirs

Comment 24 Nicolas Mailhot 2011-07-17 20:49:31 UTC
Created attachment 513538 [details]
Another backtrace

Comment 25 David Juran 2011-08-26 09:35:13 UTC
Package: evolution-3.0.2-3.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Just tried to start evolution

Comment 26 David Juran 2011-08-26 09:41:51 UTC
In regards to Milan's comment #19, I do _not_ have evolution-rss installed.

So far this crash has only happened once for me, but if it would happen again, I'll try running it under valgrind.

Comment 27 Boricua 2011-10-02 09:03:40 UTC
Package: evolution-3.2.0-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
I just clicked the send message button and the crash took place.

Comment 28 Milan Crha 2011-10-03 07:13:47 UTC
(In reply to comment #26)
> In regards to Milan's comment #19, I do _not_ have evolution-rss installed.
> 
> So far this crash has only happened once for me, but if it would happen again,
> I'll try running it under valgrind.

Thanks, I move this back to need-info, because of lack of a good reproducer. Only note that this might also depend on actions you do before the crash, not only those immediately done, like moving couple messages to a new folder, then replying to one message, then it crashes after pressed Send in a composer window.

Comment 29 Artur Flinta 2011-10-05 13:08:49 UTC
Package: evolution-3.2.0-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Died during sending message

Comment 30 Gabriel 2011-10-06 22:58:59 UTC
Package: evolution-3.2.0-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Launched Evolution and it immediately crashed. I had just installed tracker-evolution-plugin.0.12.3.2.fc16.x86_64

Comment 31 Mark van Rossum 2011-10-13 09:14:16 UTC
Package: evolution-3.2.0-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Occasional crash occuring on sending an email

Comment 32 Gabriel 2011-11-02 05:39:29 UTC
Package: evolution-3.2.1-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Hit send on a message

Comment 33 James Cape 2011-11-09 14:24:17 UTC
Package: evolution-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Trying to drag an e-mail into a new folder.

Comment 34 Emmanuel Pacaud 2011-11-10 13:39:42 UTC
Package: evolution-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
I've selected 2 messages in the incoming box of an imap account and moved them, using the mouse, into another folder of the same account. I got a brief error message (it did not last enough for let me remember it), then evolution crashed.

Comment 35 Paddy Steed 2011-11-17 08:03:40 UTC
Package: evolution-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Clicked on 'send/receive all'

Comment 36 Tony 2011-11-18 01:05:11 UTC
Package: evolution-2.32.3-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. On launching the programm from the desktop shortcut
2.
3.


Comment
-----
Very intermittent, only happens occasionally

Comment 37 Mark van Rossum 2011-11-28 13:46:38 UTC
Package: evolution-3.2.2-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Random crash on sending (again....)

Comment 38 John Mellor 2011-12-04 22:22:14 UTC
Package: evolution-3.2.2-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Normal email reply constructed to a facebook address (very long id string).  First email after a system update and reboot.

Comment 39 John Mellor 2011-12-21 20:20:03 UTC
Nothing obviously different for this mail.  I replied to an all-text email, noticed a problem removing some of the fluff in the original text (could not delete the first quoted line, which was empty, but could delete the rest of the unimportant parts of the quote), and was able to construct a fairly large reply message.  Upon hitting "Send", Evolution aborted immediately.  It is not known what happened to the new message.

rating: 4
Package: evolution-3.2.2-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment 40 John Mellor 2011-12-21 20:29:40 UTC
The problem is still present in Fedora 16.  This bug needs to be fixed before Fedora 15 expires in 4 months, or shifted to be in Fedora 16 so that it does not get dropped on the floor.

Comment 41 Milan Crha 2011-12-22 08:16:54 UTC
OK, I would move this to Fedora 16, but before that, are you sure this is the same issue as this bug report? I would like to see updated backtrace from Fedora 16, with debug information at least from evolution-data-server, evolution and gtkhtml3, and if you can reproduce this reliably, then even the valgrind log may help here, because this seems like a memory corruption issue. Thanks in advance.

To get backtrace, just run evolution under gdb like this:
   $ gdb evolution --ex r --ex "t a a bt" --ex q
and reproduce the issue. At the end the gdb will ask you whether you want to quit. Answer "y". Then get its output. Make sure it'll not include any private information, like email addresses, passwords or server addresses you do not want to share in public.

To get valgrind log run evolution like this:
   $ G_SLICE=always-malloc valgrind --num-callers=50 evolution &>log.txt
and try to reproduce the issue. Note that evolution will be significantly slower due to all memory checking. Also note that valgrind can avoid certain crashes, which it only logs into the file, thus even if evolution will not crash then the log.txt file can contain information about the issue.

Comment 42 John Mellor 2011-12-22 12:26:01 UTC
Milan said:
> are you sure this is the same issue as this bug report? I would like to see
> updated backtrace from Fedora 16, with debug information at least from
> evolution-data-server, evolution and gtkhtml3, and if you can reproduce this
> reliably, then even the valgrind log may help here, because this seems like a
> memory corruption issue.

Abrt decided that this was the same bug report, not me.  As noted in a prior update in this bug report, the chances of reproducing this issue on demand are low, as it appears to be a near-random event, possibly a memory corruption issue or something similar.  The only partial common thread in all of the reports is that it appears to be triggered when sending mail, with low probability of occurance.  I've only seen it twice in a year.  So, I'll try, but don't hold your breath...

Comment 43 Mark van Rossum 2011-12-22 12:48:27 UTC
I wonder how to further narrow this down.

I see it about once per week when sending (always via IMAP).
Unfortunately, under these circumstances running evolution with valgrind is way too slow.

I have the feeling that to bug is more likely to occur with high system and/or network load. Furthermore, I have fairly large folders (about 5k messages in Inbox and Sent). Could the update of the Sent folder cause the crash?

Is it possible to run a script that sends many dummy messages to make the crash more likely to happen?

Comment 44 Milan Crha 2011-12-22 13:08:23 UTC
I do not know any hint on reproducer except of trying similar steps under valgrind, even it is fairly slow. The thing is that this is some kid of memory corruption, which can happen in part A and influence completely different part B of the code. The best is that it can influence different parts of the code each run, depending what is currently stored in the memory it corrupts. Valgrind is one tool I know of, which can identify these types of issues. With folder size, I guess it might not be a problem, I have even larger IMAP folders and I do not recall seeing this myself. It's rather some kind of your setup/environment, which uncovers the hidden issue.

Comment 45 John Mellor 2011-12-22 14:22:44 UTC
Created attachment 549198 [details]
Valgrind run, showing some memory problems

Comment 46 John Mellor 2011-12-22 14:24:09 UTC
I have not reproduced the specific problem, but running Evolution under valgrind became increasingly slow and eventually locked up for 15+ minutes until I aborted.  Inspecting the logs, I see some memory errors in normal operation, so something is definitely wrong in the memory management.  I'll attached the log.

Comment 47 Milan Crha 2011-12-23 09:21:37 UTC
Thanks for the update. Apart of "usual" valgrind claims I noticed one:

> Thread 1:
> Invalid write of size 8
>    ... g_nullify_pointer (in /lib64/libglib-2.0.so.0.3000.1)

which reminded me of bug #758402. Maybe it's related. The thing is that this write could overwrite anything in memory, which then can break completely unrelated code.

Apart of that I do not see anything unusual, maybe except of html_engine_delete_n, which is new to me. The valgrind log is missing all debug information, which would help narrow the place of the origin much easier. You either do not have them installed, or you have them installed with a different version than the binary package. The packages I'm mostly interested in are gtkhtml3, evolution-data-server and evolution. You can alternatively install also glib2 and gtk3 debug info packages.

Comment 48 John Mellor 2011-12-23 16:28:35 UTC
Created attachment 549368 [details]
valgrind log with debug symbols, no crash

normal run valgrind log (no crash this time) with debug info added, showing lots of memory leakage, a few invalid heap reads, and one invalid write.

Comment 49 Milan Crha 2012-01-02 10:09:50 UTC
Thanks for the update. The new valgrind log is nice, with all relevant debug information. I believe this is related to bug #758402, thus if you could try to update gtk3, either as stated in bug #766352 comment #34 or by regular update, as this package is part of stable updates since 2011-12-17 (bug #766352 comment #38), then it may prove whether it's it or not.

Comment 50 Mark van Rossum 2012-01-04 15:39:37 UTC
Still experiencing crash on send using
gtk3-3.2.2-4.fc16.x86_64


Sorry, no valgrind....

Comment 51 John Mellor 2012-01-13 02:23:48 UTC
Normal email reply constructed and send button pressed.
Evolution abort upon sending.
Upon restarting Evolution, it offers to recover,
and allows my to then successfully send the email.
This has happened twice to me now.
System is an untainted and fully updated F16 desktop.
Critical issue due to it being a highly visible and somewhat nasty bug.


backtrace_rating: 4
Package: evolution-3.2.2-1.fc16
OS Release: Fedora release 16 (Verne)

Comment 52 John Mellor 2012-01-13 02:23:57 UTC
Created attachment 554966 [details]
File: backtrace

Comment 53 thomas.wuercher 2012-01-15 11:12:43 UTC
Worte a message and tried to send it.

backtrace_rating: 4
Package: evolution-3.2.2-1.fc16
OS Release: Fedora release 16 (Verne)

Comment 54 thomas.wuercher 2012-01-15 11:12:50 UTC
Created attachment 555342 [details]
File: backtrace

Comment 55 Clément DAVID 2012-01-16 16:01:40 UTC
Evolution crash anytime I want to send a mail through my own smtp server on a mobile network. Everything is fine on a more classical network.

backtrace_rating: 4
Package: evolution-3.2.2-1.fc16
OS Release: Fedora release 16 (Verne)

Comment 56 Clément DAVID 2012-01-16 16:01:50 UTC
Created attachment 555544 [details]
File: backtrace

Comment 57 thomas.wuercher 2012-01-16 16:55:44 UTC
Sent message.

backtrace_rating: 4
Package: evolution-3.2.2-1.fc16
OS Release: Fedora release 16 (Verne)

Comment 58 thomas.wuercher 2012-01-16 16:55:49 UTC
Created attachment 555554 [details]
File: backtrace

Comment 59 Emmanuel Pacaud 2012-01-19 19:16:34 UTC
Crash happened while I was moving an email from one folder ot another, in a IMAP+ account.

backtrace_rating: 4
Package: evolution-3.2.2-1.fc16
OS Release: Fedora release 16 (Verne)

Comment 60 Emmanuel Pacaud 2012-01-19 19:16:42 UTC
Created attachment 556373 [details]
File: backtrace

Comment 61 Kevin 2012-01-23 05:27:27 UTC
I had composed a reply to an email message. As soon as I clicked "Send" Evolution crashed.

backtrace_rating: 4
Package: evolution-3.2.2-1.fc16
OS Release: Fedora release 16 (Verne)

Comment 62 Kevin 2012-01-23 05:27:32 UTC
Created attachment 556851 [details]
File: backtrace

Comment 63 cnangel 2012-02-20 02:12:14 UTC
crash when I open evolution

backtrace_rating: 4
Package: evolution-3.2.3-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment 64 cnangel 2012-02-20 02:12:23 UTC
Created attachment 564272 [details]
File: backtrace

Comment 65 Ondrej Hujnak 2012-02-22 09:16:14 UTC
When moving mails to subdirectories via imap+ (server: imap.seznam.cz), sometimes error is raised (orange box: Error syncing changes: mtd: internal error: Unknown flag. JUNK). After that it almost immediately crashes.

backtrace_rating: 4
Package: evolution-3.2.3-1.fc16
OS Release: Fedora release 16 (Verne)

Comment 66 Ondrej Hujnak 2012-02-22 09:16:30 UTC
Created attachment 564875 [details]
File: backtrace

Comment 67 Juris Krumins 2012-04-12 15:02:33 UTC
Just closing evolution.

backtrace_rating: 4
Package: evolution-3.2.3-2.fc16
OS Release: Fedora release 16 (Verne)

Comment 68 Juris Krumins 2012-04-12 15:02:50 UTC
Created attachment 577098 [details]
File: backtrace

Comment 69 Fedora End Of Life 2012-08-07 19:57:39 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.